PIRL.Conductor

## Class Unresolved_Reference

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - PIRL.Conductor.Unresolved_Reference

All Implemented Interfaces:
  Serializable

    public class Unresolved_Reference
    extends Exception

The Exeception that is thrown if a parameter source reference or database field reference can not be resolved and a Default_Value has not been provided.

See Also:
  `Reference_Resolver`, Serialized Form

### Field Summary

Fields
`static String` `ID` Class name and version identification.

### Constructor Summary

Constructors
Constructor and Description
`Unresolved_Reference(String message)` Constructs an Unresolved_Reference exception with the specified detail message.
`Unresolved_Reference(String message, String reference)` Constructs an Unresolved_Reference exception with the specified detail message and reference.

### Method Summary

Methods
`String` `Reference()` Gets the unresolved reference.

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Field Detail

#### ID

    public static final String ID

Class name and version identification.

See Also:
  Constant Field Values

### Constructor Detail

#### Unresolved_Reference

    public Unresolved_Reference(String message)

Constructs an Unresolved_Reference exception with the specified detail message.

The exception's Reference will be null.

Parameters:
  `message` - The detail message; retrievable by the `Throwable.getMessage()` method.

#### Unresolved_Reference

    public Unresolved_Reference(String message,
                        String reference)

Constructs an Unresolved_Reference exception with the specified detail message and reference.

Parameters:
  `message` - The detail message; retrievable by the `Throwable.getMessage()` method.
  `reference` - The reference String that could not be resolved; retrievable by the `Reference()` method.

### Method Detail

#### Reference

    public String Reference()

Gets the unresolved reference.

Returns:
  The unresolved reference String.